#! /usr/bin/gosh
;;
;; Sample CGI program that uses fastcgi.
;;
;; $Id$
;;

(use www.cgi)
(use www.fastcgi)
(use text.html-lite)

(define (body params)
  `(,(cgi-header)
    ,(html-doctype)
    ,(html:html
      (html:head (html:title "www.fastcgi test"))
      (html:body
       (html:p (html:b (format "pid = ~a" (sys-getpid))))
       (html:table
        :border 1
        (html:tr (html:th "Name") (html:th "Value"))
        (map (lambda (p)
               (html:tr
                (html:td (html-escape-string (car p)))
                (html:td (html-escape-string (x->string (cdr p))))))
             params))))))

(define (main args)
  (with-fastcgi (cut cgi-main body))
  0)

;; Local variables:
;; mode: scheme
;; end:
